diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
index 414f86f7..d90fb223 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
@@ -11,85 +11,89 @@ from __future__ import print_function
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     foreign_servers.tests import utils as fsrv_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as ft_utils
 
 
-class ForeignTableDeleteTestCase(BaseTestGenerator):
-    """
-    This class will delete foreign table under database node.
-    """
-    skip_on_database = ['gpdb']
-
-    scenarios = [
-        # Fetching default URL for foreign table node.
-        ('Check foreign table Node', dict(url='/browser/foreign_table/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create foreign data wrapper, foreign server
-        and foreign table. """
-        super(ForeignTableDeleteTestCase, self).setUp()
-
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignTableDelete:
+    def test_foreign_table_delete(self, request, context_of_tests):
+        """
+        When the foreign table delete request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_table/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
         self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
         self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
         self.ft_name = "ft_%s" % (str(uuid.uuid4())[1:8])
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
-        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
-                                              self.fsrv_name, self.fdw_name)
-        self.ft_id = ft_utils.create_foreign_table(self.server, self.db_name,
-                                                   self.schema_name,
-                                                   self.fsrv_name,
-                                                   self.ft_name)
-
-    def runTest(self):
-        """This function will delete foreign table under test database."""
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
+        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                           self.fdw_name)
+        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                              self.fsrv_name, self.fdw_name)
         fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
                                                self.fsrv_name)
-
         if not fsrv_response:
             raise Exception("Could not find Foreign Server.")
 
+        self.ft_id = ft_utils.create_foreign_table(self.server, self.db_name,
+                                                   self.schema_name,
+                                                   self.fsrv_name,
+                                                   self.ft_name)
         ft_response = ft_utils.verify_foreign_table(self.server, self.db_name,
                                                     self.fsrv_name)
         if not ft_response:
             raise Exception("Could not find Foreign Table.")
 
-        delete_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.delete(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.ft_id),
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Foreign Table dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        """ This function disconnect the test database. """
-
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
index 0a500733..4ae58eab 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
@@ -11,84 +11,79 @@ from __future__ import print_function
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     foreign_servers.tests import utils as fsrv_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as ft_utils
 
 
-class ForeignTableGetTestCase(BaseTestGenerator):
-    """
-    This class will fetch foreign table under database node.
-    """
-    skip_on_database = ['gpdb']
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignTableGet:
+    def test_foreign_table_get(self, request, context_of_tests):
+        """
+        When the foreign table get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_table/obj/'
 
-    scenarios = [
-        # Fetching default URL for foreign server node.
-        ('Check foreign table Node', dict(url='/browser/foreign_table/obj/'))
-    ]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-    def setUp(self):
-        """ This function will create foreign data wrapper, foreign server
-        and foreign table. """
-        super(ForeignTableGetTestCase, self).setUp()
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
         self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
         self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
         self.ft_name = "ft_%s" % (str(uuid.uuid4())[1:8])
 
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
-        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
-                                              self.fsrv_name, self.fdw_name)
-        self.ft_id = ft_utils.create_foreign_table(self.server, self.db_name,
-                                                   self.schema_name,
-                                                   self.fsrv_name,
-                                                   self.ft_name)
-
-    def runTest(self):
-        """This function will fetch foreign table under test database."""
-
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
+        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                           self.fdw_name)
+        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                              self.fsrv_name, self.fdw_name)
         fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
                                                self.fsrv_name)
-
         if not fsrv_response:
             raise Exception("Could not find Foreign Server.")
 
-        response = self.tester.get(self.url + str(utils.SERVER_GROUP) + '/' +
+        self.ft_id = ft_utils.create_foreign_table(self.server, self.db_name,
+                                                   self.schema_name,
+                                                   self.fsrv_name,
+                                                   self.ft_name)
+
+        response = self.tester.get(url + str(utils.SERVER_GROUP) + '/' +
                                    str(self.server_id) + '/' +
                                    str(self.db_id) + '/' +
                                    str(self.schema_id) + '/' +
                                    str(self.ft_id),
                                    content_type='html/json')
-
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > should.be.equal(self.ft_name)
 
     def tearDown(self):
-        """ This function disconnect the test database and delete test
-        foreign table object. """
-        ft_utils.delete_foregin_table(self.server, self.db_name,
-                                      self.schema_name, self.ft_name
-                                      )
-
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
index af9bc022..898819d7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
@@ -12,70 +12,68 @@ from __future__ import print_function
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     foreign_servers.tests import utils as fsrv_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as ft_utils
 
 
-class ForeignTablePutTestCase(BaseTestGenerator):
-    """
-    This class will fetch foreign table under database node.
-    """
-    skip_on_database = ['gpdb']
-
-    scenarios = [
-        # Fetching default URL for foreign server node.
-        ('Check foreign table Node', dict(url='/browser/foreign_table/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create foreign data wrapper, foreign server
-        and foreign table. """
-        super(ForeignTablePutTestCase, self).setUp()
-
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignTablePut:
+    def test_foreign_table_put(self, request, context_of_tests):
+        """
+        When the foreign table put request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_table/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
         self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
         self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
         self.ft_name = "ft_%s" % (str(uuid.uuid4())[1:8])
 
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
-        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
-                                              self.fsrv_name, self.fdw_name)
-        self.ft_id = ft_utils.create_foreign_table(self.server, self.db_name,
-                                                   self.schema_name,
-                                                   self.fsrv_name,
-                                                   self.ft_name)
-
-    def runTest(self):
-        """This function will update foreign table under test database."""
-
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
+        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                           self.fdw_name)
+        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                              self.fsrv_name, self.fdw_name)
         fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
                                                self.fsrv_name)
-
         if not fsrv_response:
             raise Exception("Could not find Foreign Server.")
 
+        self.ft_id = ft_utils.create_foreign_table(self.server, self.db_name,
+                                                   self.schema_name,
+                                                   self.fsrv_name,
+                                                   self.ft_name)
         ft_response = ft_utils.verify_foreign_table(self.server, self.db_name,
                                                     self.fsrv_name)
         if not ft_response:
@@ -87,22 +85,28 @@ class ForeignTablePutTestCase(BaseTestGenerator):
                 "id": self.ft_id,
             }
 
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.put(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.ft_id),
             data=json.dumps(data),
             follow_redirects=True)
-
-        self.assertEquals(put_response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'foreign_table',
+            'pgadmin.node.foreign_table',
+            False,
+            'icon-foreign_table',
+            self.ft_name
+        )
 
     def tearDown(self):
-        """ This function disconnect the test database and delete test
-        foreign table object. """
         ft_utils.delete_foregin_table(self.server, self.db_name,
                                       self.schema_name, self.ft_name
                                       )
-
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/__init__.py
index 3221d438..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class FTSConfigurationTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py
index 9f277721..6d011ed7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py
@@ -12,6 +12,8 @@ from __future__ import print_function
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas. \
     fts_parser.tests import utils as fts_parser_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
@@ -20,41 +22,43 @@ from pgadmin.browser.server_groups.servers.databases.schemas \
     .fts_configurations.tests import utils as fts_config_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class FTSConfiguraionAddTestCase(BaseTestGenerator):
-    """ This class will add new FTS configuration under test schema. """
+class TestFTSConfiguraionAdd:
+    def test_fts_configuration_table_add(self, request, context_of_tests):
+        """
+        When the FTS configuration add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/fts_configuration/obj/'
 
-    scenarios = [
-        # Fetching default URL for fts_configuration node.
-        ('Fetch fts_configuration Node URL',
-         dict(url='/browser/fts_configuration/obj/'))
-    ]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-    def setUp(self):
-        """ This function will create parser."""
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
-        schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = schema_data['schema_name']
-        self.schema_id = schema_data['schema_id']
-        self.server_id = schema_data['server_id']
-        self.db_id = schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:8]
         self.fts_parser_id = fts_parser_utils.create_fts_parser(
-            self.server, self.db_name, self.schema_name, self.fts_parser_name)
-
-    def runTest(self):
-        """ This function will add new FTS configuration under test schema. """
+            self.server, self.db_name, self.schema_name, self.fts_parser_name
+        )
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -75,19 +79,26 @@ class FTSConfiguraionAddTestCase(BaseTestGenerator):
             }
 
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.schema_id) + '/',
             data=json.dumps(data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'fts_configuration',
+            'pgadmin.node.fts_configuration',
+            False,
+            'icon-fts_configuration',
+            self.fts_conf_name
+        )
 
     def tearDown(self):
-        """This function delete the fts_config and disconnect the test
-        database."""
         fts_config_utils.delete_fts_configurations(self.server, self.db_name,
                                                    self.schema_name,
                                                    self.fts_conf_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
index 0a5cc16b..28f2bf44 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
@@ -11,48 +11,49 @@ from __future__ import print_function
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_configuration_utils
 
 
-class FTSConfDeleteTestCase(BaseTestGenerator):
-    """ This class will delete added FTS configuration under schema node. """
+class TestFTSConfiguraionDelete:
+    def test_fts_configuration_table_delete(self, request, context_of_tests):
+        """
+        When the FTS configuration delete request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    scenarios = [
-        # Fetching default URL for fts_configuration node.
-        ('Fetch FTS configuration Node URL',
-         dict(url='/browser/fts_configuration/obj/'))
-    ]
+        url = '/browser/fts_configuration/obj/'
 
-    def setUp(self):
-        """ This function will create FTS configuration."""
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-        schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = schema_data['schema_name']
-        self.schema_id = schema_data['schema_id']
-        self.server_id = schema_data['server_id']
-        self.db_id = schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4())[1:8]
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
+        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4())[1:8]
         self.fts_conf_id = fts_configuration_utils.create_fts_configuration(
-            self.server, self.db_name, self.schema_name, self.fts_conf_name)
-
-    def runTest(self):
-        """ This function will delete new FTS configuration under test
-        schema. """
+            self.server, self.db_name, self.schema_name, self.fts_conf_name
+        )
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -65,21 +66,26 @@ class FTSConfDeleteTestCase(BaseTestGenerator):
         fts_conf_response = fts_configuration_utils.verify_fts_configuration(
             self.server, self.db_name, self.fts_conf_name
         )
-
         if not fts_conf_response:
             raise Exception("Could not find the FTS Configuration.")
 
-        delete_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.delete(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.fts_conf_id),
             follow_redirects=True)
-        self.assertEquals(delete_response.status_code, 200)
 
-    def tearDown(self):
-        """This function disconnect the test database."""
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'FTS Configuration dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+    def tearDown(self):
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
